gtkmm: Gtk::BitsetConstIter Class Reference

gtkmm 4.22.0

Public Types | Public Member Functions | Related Symbols | List of all members
Gtk::BitsetConstIter Class Reference

Alias: Gtk::Bitset::const_iterator. More...

`#include <gtkmm/bitsetconstiter.h>`

## Public Types
using | iterator_category = std::bidirectional_iterator_tag
using | value_type = guint
using | difference_type = int
using | reference = value_type
using | pointer = void

## Public Member Functions
| BitsetConstIter (const BitsetConstIter &other)
BitsetConstIter & | operator= (const BitsetConstIter &other)
| BitsetConstIter (BitsetConstIter &&other) noexcept
BitsetConstIter & | operator= (BitsetConstIter &&other) noexcept
BitsetConstIter & | operator++ ()
BitsetConstIter | operator++ (int)
BitsetConstIter & | operator-- ()
BitsetConstIter | operator-- (int)
reference | operator* () const
| operator bool () const noexcept
| Discovers whether the iterator is valid, and not equal to end().
bool | equal (const BitsetConstIter &other) const noexcept

## Related Symbols
(Note that these are not member symbols.)
bool | operator== (const BitsetConstIter &lhs, const BitsetConstIter &rhs)
bool | operator!= (const BitsetConstIter &lhs, const BitsetConstIter &rhs)

## Detailed Description

Alias: Gtk::Bitset::const_iterator.

A BitsetConstIter is a reference to a specific element in a specific bitset.

This is a const_iterator. There is no way to modify the bitset via an iterator. For modifying the bitset, use methods in Gtk::Bitset.

See also
  Bitset

Since gtkmm 3.98:

## Member Typedef Documentation

## ◆ difference_type

using Gtk::BitsetConstIter::difference_type = int

## ◆ iterator_category

using Gtk::BitsetConstIter::iterator_category = std::bidirectional_iterator_tag

## ◆ pointer

using Gtk::BitsetConstIter::pointer = void

## ◆ reference

using Gtk::BitsetConstIter::reference = value_type

## ◆ value_type

using Gtk::BitsetConstIter::value_type = guint

## Constructor & Destructor Documentation

## ◆ BitsetConstIter() [1/2]

Gtk::BitsetConstIter::BitsetConstIter | ( | const BitsetConstIter & | other | ) |

## ◆ BitsetConstIter() [2/2]

Gtk::BitsetConstIter::BitsetConstIter | ( | BitsetConstIter && | other | ) |
| noexcept

## Member Function Documentation

## ◆ equal()

bool Gtk::BitsetConstIter::equal | ( | const BitsetConstIter & | other | ) | const
| noexcept

## ◆ operator bool()

Gtk::BitsetConstIter::operator bool | ( |  | ) | const
| explicitnoexcept

Discovers whether the iterator is valid, and not equal to end().

For instance,

if (bitset_iter)
do_something();

## ◆ operator*()

reference Gtk::BitsetConstIter::operator* | ( |  | ) | const

## ◆ operator++() [1/2]

BitsetConstIter & Gtk::BitsetConstIter::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

BitsetConstIter Gtk::BitsetConstIter::operator++ | ( | int |  | ) |

## ◆ operator--() [1/2]

BitsetConstIter & Gtk::BitsetConstIter::operator-- | ( |  | ) |

## ◆ operator--() [2/2]

BitsetConstIter Gtk::BitsetConstIter::operator-- | ( | int |  | ) |

## ◆ operator=() [1/2]

BitsetConstIter & Gtk::BitsetConstIter::operator= | ( | BitsetConstIter && | other | ) |
| noexcept

## ◆ operator=() [2/2]

BitsetConstIter & Gtk::BitsetConstIter::operator= | ( | const BitsetConstIter & | other | ) |

## Friends And Related Symbol Documentation

## ◆ operator!=()

bool operator!= | ( | const BitsetConstIter & | lhs,
|  | const BitsetConstIter & | rhs
| ) |  |
| related

## ◆ operator==()

bool operator== | ( | const BitsetConstIter & | lhs,
|  | const BitsetConstIter & | rhs
| ) |  |
| related